Search Results for

Show / Hide Table of Contents

# Class Wizard.WizardStep

Represents a basic step that is displayed in a Wizard. The Wizard.WizardStep view is divided horizontally in two. On the left is the content view where Views can be added, On the right is the help for the step. Set HelpText to set the help text. If the help text is empty the help pane will not be shown. If there are no Views added to the WizardStep the HelpText (if not empty) will fill the wizard step.

##### Inheritance

System.Object
Responder
View
FrameView
Wizard.WizardStep

##### Implements

System.IDisposable
System.ComponentModel.ISupportInitializeNotification
System.ComponentModel.ISupportInitialize

##### Remarks

If Buttons are added, do not set IsDefault to true as this will conflict with the Next button of the Wizard. Subscribe to the VisibleChanged event to be notified when the step is active; see also: StepChanged. To enable or disable a step from being shown to the user, set Enabled.

##### Inherited Members

FrameView.Redraw(Rect)
FrameView.OnEnter(View)
FrameView.OnCanFocusChanged()
FrameView.Border
FrameView.Text
FrameView.TextAlignment
View.GetMinWidthHeight(Size)
View.SetMinWidthHeight()
View.UpdateTextFormatterText()
View.ProcessResizeView()
View.SetNeedsDisplay()
View.ClearLayoutNeeded()
View.SetNeedsDisplay(Rect)
View.SetChildNeedsDisplay()
View.Add(View[])
View.BringSubviewToFront(View)
View.SendSubviewToBack(View)
View.SendSubviewBackwards(View)
View.BringSubviewForward(View)
View.Clear()
View.Clear(Rect)
View.ScreenToView(Int32, Int32)
View.ClipToBounds()
View.SetClip(Rect)
View.DrawFrame(Rect, Int32, Boolean)
View.DrawHotString(ustring, Attribute, Attribute)
View.DrawHotString(ustring, Boolean, ColorScheme)
View.Move(Int32, Int32, Boolean)
View.PositionCursor()
View.OnAdded(View)
View.OnRemoved(View)
View.OnLeave(View)
View.AddRune(Int32, Int32, Rune)
View.ClearNeedsDisplay()
View.OnDrawContent(Rect)
View.OnDrawContentComplete(Rect)
View.SetFocus()
View.ProcessKey(KeyEvent)
View.InvokeKeybindings(KeyEvent)
View.AddKeyBinding(Key, Command)
View.ReplaceKeyBinding(Key, Key)
View.ContainsKeyBinding(Key)
View.ClearKeybindings()
View.ClearKeybinding(Key)
View.ClearKeybinding(Command)
View.AddCommand(Command, Func<Nullable<Boolean>>)
View.GetSupportedCommands()
View.GetKeyFromCommand(Command)
View.ProcessHotKey(KeyEvent)
View.ProcessColdKey(KeyEvent)
View.OnKeyDown(KeyEvent)
View.OnKeyUp(KeyEvent)
View.EnsureFocus()
View.FocusFirst()
View.FocusLast()
View.FocusPrev()
View.FocusNext()
View.LayoutSubviews()
View.ToString()
View.GetAutoSize()
View.GetHotKeySpecifierLength(Boolean)
View.GetTextFormatterBoundsSize()
View.GetBoundsTextFormatterSize()
View.OnMouseEnter(MouseEvent)
View.OnMouseLeave(MouseEvent)
View.OnMouseEvent(MouseEvent)
View.OnMouseClick(View.MouseEventArgs)
View.OnEnabledChanged()
View.OnVisibleChanged()
View.Dispose(Boolean)
View.BeginInit()
View.EndInit()
View.SetWidth(Int32, Int32)
View.SetHeight(Int32, Int32)
View.GetCurrentWidth(Int32)
View.GetCurrentHeight(Int32)
View.GetNormalColor()
View.GetTopSuperView()
View.HotKey
View.HotKeySpecifier
View.Shortcut
View.ShortcutTag
View.ShortcutAction
View.Data
View.Driver
View.Subviews
View.TabIndexes
View.TabIndex
View.TabStop
View.CanFocus
View.Id
View.IsCurrentTop
View.WantMousePositionReports
View.WantContinuousButtonPressed
View.Frame
View.LayoutStyle
View.Bounds
View.X
View.Y
View.Width
View.Height
View.ForceValidatePosDim
View.TextFormatter
View.SuperView
View.HasFocus
View.Focused
View.MostFocused
View.ColorScheme
View.AutoSize
View.PreserveTrailingSpaces
View.VerticalTextAlignment
View.TextDirection
View.IsInitialized
View.IsAdded
View.Enabled
View.Visible
View.Added
View.Removed
View.Enter
View.Leave
View.MouseEnter
View.MouseLeave
View.MouseClick
View.CanFocusChanged
View.EnabledChanged
View.VisibleChanged
View.HotKeyChanged
View.DrawContent
View.DrawContentComplete
View.KeyPress
View.KeyDown
View.KeyUp
View.LayoutStarted
View.LayoutComplete
View.Initialized
Responder.MouseEvent(MouseEvent)
Responder.Dispose()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class WizardStep : FrameView

### Constructors

#### WizardStep(ustring)

Initializes a new instance of the Wizard class using Computed positioning.

##### Declaration

    public WizardStep(ustring title)

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | title | Title for the Step. Will be appended to the containing Wizard's title as "Wizard Title - Wizard Step Title" when this step is active.

### Properties

#### BackButtonText

Sets or gets the text for the back button. The back button will only be visible on steps after the first step.

##### Declaration

    public ustring BackButtonText { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring |

#### HelpText

Sets or gets help text for the Wizard.WizardStep.If HelpText is empty the help pane will not be visible and the content will fill the entire WizardStep.

##### Declaration

    public ustring HelpText { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring |

#### NextButtonText

Sets or gets the text for the next/finish button.

##### Declaration

    public ustring NextButtonText { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring |

#### Title

The title of the Wizard.WizardStep.

##### Declaration

    public ustring Title { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring |

### Methods

#### Add(View)

Add the specified View to the Wizard.WizardStep.

##### Declaration

    public override void Add(View view)

##### Parameters

Type | Name | Description
--- | --- | ---
View | view | View to add to this container

##### Overrides

FrameView.Add(View)

#### OnTitleChanged(ustring, ustring)

Called when the Title has been changed. Invokes the TitleChanged event.

##### Declaration

    public virtual void OnTitleChanged(ustring oldTitle, ustring newTitle)

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | oldTitle | The Title that is/has been replaced.
NStack.ustring | newTitle | The new Title to be replaced.

#### OnTitleChanging(ustring, ustring)

Called before the Title changes. Invokes the TitleChanging event, which can be cancelled.

##### Declaration

    public virtual bool OnTitleChanging(ustring oldTitle, ustring newTitle)

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | oldTitle | The Title that is/has been replaced.
NStack.ustring | newTitle | The new Title to be replaced.

##### Returns

Type | Description
--- | ---
System.Boolean | `true` if an event handler cancelled the Title change.

#### Remove(View)

Removes a View from Wizard.WizardStep.

##### Declaration

    public override void Remove(View view)

##### Parameters

Type | Name | Description
--- | --- | ---
View | view |

##### Overrides

FrameView.Remove(View)

#### RemoveAll()

Removes all Views from the Wizard.WizardStep.

##### Declaration

    public override void RemoveAll()

##### Overrides

FrameView.RemoveAll()

### Events

#### TitleChanged

Event fired after the Title has been changed.

##### Declaration

    public event Action<Wizard.WizardStep.TitleEventArgs> TitleChanged

##### Event Type

Type | Description
--- | ---
System.Action<Wizard.WizardStep.TitleEventArgs> |

#### TitleChanging

Event fired when the Title is changing. Set Cancel to `true` to cancel the Title change.

##### Declaration

    public event Action<Wizard.WizardStep.TitleEventArgs> TitleChanging

##### Event Type

Type | Description
--- | ---
System.Action<Wizard.WizardStep.TitleEventArgs> |

### Implements

System.IDisposable
System.ComponentModel.ISupportInitializeNotification
System.ComponentModel.ISupportInitialize